require( "scripts/common/bad_idle_object.lua" );

dadsleeping = bad_idle_object:new{
	object_name = "dadsleeping",
	
	anchor_x = 54,
	anchor_y = 0,
	
	texture="anim/objects/sagetsdadsleeping/dadsleeping",
	
	idle_state_time = 20000,
	
	stop_idle_goal_name = "stopsleeping",
	
	object_to_verify = "sofapequeno",
}

function dadsleeping:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end